### Method

# Camel MimeParser stream

#### Declaration [src]

    CamelStream*
    camel_mime_parser_stream (
      CamelMimeParser* parser
    )

#### Description [src]

Get the stream, if any, the parser has been initialised with. May be used to setup sub-streams, but should not be read from directly (without saving and restoring the seek position in between).

#### Return value

Type: `CamelStream`

The stream from camel_mime_parser_init_with_stream(), or NULL if the parser is reading from a file descriptor or is uninitialised.

The returned data is owned by the instance.
The return value can be `NULL`.